<div class="container">
	<h1 tabindex="0">Carousel Upgrades</h1>
	<p class="lead">Improvements made to the default Bootstrap 4 Carousel, which provide greater accessibililty through keyboard navigation, lazy loading and normalized slide heights across a variety of image sizes.</p>
	<ul>
		<li>Tab to Carousel to navigate slides using keyboard</li>
		<li>Slides can be changed using arrow keys, number keys, or by tabbing to slide controls and pressing enter</li>
		<li class='mark'>Red outline ONLY used to show current selection</li>
	</ul>
	
<div id="loader">
     <h4>Loading Carousel</h4>
     <img src="https://i0.wp.com/cdnjs.cloudflare.com/ajax/libs/semantic-ui/0.16.1/images/loader-large.gif">
  </div>	
<div tabindex="0" id="carouselExampleIndicators" class="carousel slide" data-ride="false" data-interval="false" data-keyboard="true">
  <ol tabindex="0" class="carousel-indicators">
    <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
    <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
    <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
    <li data-target="#carouselExampleIndicators" data-slide-to="4"></li>
    <li data-target="#carouselExampleIndicators" data-slide-to="5"></li>
    <li data-target="#carouselExampleIndicators" data-slide-to="6"></li>
  </ol>
  <div class="carousel-inner">
    <div class="carousel-item active">
      <img class="d-block w-100" data-src="https://images.unsplash.com/photo-1440402162950-9c29781fe736?ixlib=rb-0.3.5&q=85&fm=jpg&crop=entropy&cs=srgb&s=e8737f80ed58ac4a60ac3c6c36eead2b" alt="First slide">
    </div>
    <div class="carousel-item">
      <img class="d-block w-100" data-src="https://s3-us-west-2.amazonaws.com/s.cdpn.io/252820/1320x580-34.jfif" alt="Second slide">
    </div>
    <div class="carousel-item">
      <img class="d-block w-100" data-src="https://images.unsplash.com/photo-1489342876263-7a7244dcaad0?ixlib=rb-0.3.5&q=85&fm=jpg&crop=entropy&cs=srgb&s=1fab7a03346d4eb82bcfe9faab536ce4" alt="Third slide">
    </div>
  </div>
  <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
    <span class="sr-only">Previous</span>
  </a>
  <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
    <span class="carousel-control-next-icon" aria-hidden="true"></span>
    <span class="sr-only">Next</span>
  </a>
</div>
	</div>